### Method

# EDataCal CalBackend get_free_busy_sync

since: 3.10

#### Declaration [src]

    gboolean
    e_cal_backend_get_free_busy_sync (
      ECalBackend* backend,
      time_t start,
      time_t end,
      const gchar* const* users,
      GSList** out_freebusy,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Obtains a free/busy object for the list of `users` in the time interval between `start` and `end`.

The free/busy results can be returned through the `e_data_cal_report_free_busy_data()` function asynchronously. The out_freebusy will contain all the returned data, possibly again, thus the client is responsible for the data merge, if needed.

If an error occurs, the function will set `error` and return `FALSE`.

Available since: 3.10

#### Parameters

`start`

  Type: `time_t`

  Start time.

`end`

  Type: `time_t`

  End time.

`users`

  Type: An array of `gchar*`

  A `NULL`-terminated array of user strings.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`out_freebusy`

  Type: A list of `utf8`

  ICalendar strings with overall returned Free/Busy data.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.